This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2021-09-25 04:00
Elapsed3m24s
Revision
Builder1804165b-1db5-11ec-aa51-d2836bccddff
infra-commitd5c85c413
reposigs.k8s.io/gcp-compute-persistent-disk-csi-driver
repo-commitf5055fab178a409a53938e4a538984001a3b12e5
repos{u'sigs.k8s.io/gcp-compute-persistent-disk-csi-driver': u'master'}

No Test Failures!


Error lines from build-log.txt

... skipping 55 lines ...
W0925 04:02:13.380] I0925 04:02:13.379465    3624 utils.go:139] Using project k8s-gce-gci-mstr-1-6-ctl-skew and service account 374811618773-compute@developer.gserviceaccount.com
I0925 04:02:14.493] Pushing GCP Container for Linux
I0925 04:02:14.494] [make -C /go/src/sigs.k8s.io/gcp-compute-persistent-disk-csi-driver push-container GCE_PD_CSI_STAGING_VERSION=1071aed5-4798-40d8-baae-9441deb56cbc GCE_PD_CSI_STAGING_IMAGE=gcr.io/k8s-gce-gci-mstr-1-6-ctl-skew/gcp-persistent-disk-csi-driver]
I0925 04:02:14.497] make: Entering directory '/go/src/sigs.k8s.io/gcp-compute-persistent-disk-csi-driver'
I0925 04:02:14.498] # Ensure we use a builder that can leverage it (the default on linux will not)
I0925 04:02:14.498] DOCKER_CLI_EXPERIMENTAL=enabled docker buildx rm multiarch-multiplatform-builder
W0925 04:02:14.733] error: no builder "multiarch-multiplatform-builder" found
W0925 04:02:14.741] make: [Makefile:128: init-buildx] Error 1 (ignored)
I0925 04:02:14.842] DOCKER_CLI_EXPERIMENTAL=enabled docker buildx create --use --name=multiarch-multiplatform-builder
I0925 04:02:14.897] multiarch-multiplatform-builder
I0925 04:02:14.904] DOCKER_CLI_EXPERIMENTAL=enabled docker run --rm --privileged multiarch/qemu-user-static --reset --credential yes --persistent yes
W0925 04:02:15.005] Unable to find image 'multiarch/qemu-user-static:latest' locally
W0925 04:02:16.032] latest: Pulling from multiarch/qemu-user-static
W0925 04:02:16.033] 24fb2886d6f6: Pulling fs layer
... skipping 224 lines ...
W0925 04:03:23.243] #13 5.366 Get:1 http://deb.debian.org/debian buster/main amd64 libuuid1 amd64 2.33.1-0.1 [78.3 kB]
W0925 04:03:23.243] #13 5.376 Get:2 http://security.debian.org/debian-security buster/updates/main amd64 libssl1.1 amd64 1.1.1d-0+deb10u7 [1539 kB]
W0925 04:03:35.889] #13 ...
W0925 04:03:35.889] 
W0925 04:03:35.889] #14 [mad-hack 2/2] RUN clean-install udev
W0925 04:03:35.890] #14 60.34 Err:3 http://deb.debian.org/debian buster InRelease
W0925 04:03:35.890] #14 60.34   Connection failed [IP: 199.232.98.132 80]
W0925 04:03:35.890] #14 60.38 Get:4 http://deb.debian.org/debian buster-updates InRelease [51.9 kB]
W0925 04:03:36.017] #14 60.57 Get:5 http://deb.debian.org/debian buster-updates/main amd64 Packages [15.2 kB]
W0925 04:03:36.017] #14 60.58 Fetched 437 kB in 60s (7241 B/s)
W0925 04:03:36.018] #14 60.58 Reading package lists...
W0925 04:03:36.168] #14 60.62 W: Failed to fetch http://deb.debian.org/debian/dists/buster/InRelease  Connection failed [IP: 199.232.98.132 80]
W0925 04:03:36.168] #14 60.62 W: Some index files failed to download. They have been ignored, or old ones used instead.
W0925 04:03:36.168] #14 60.63 Reading package lists...
W0925 04:03:36.168] #14 60.68 Building dependency tree...
W0925 04:03:36.168] #14 60.68 Reading state information...
W0925 04:03:36.168] #14 60.69 Some packages could not be installed. This may mean that you have
W0925 04:03:36.169] #14 60.69 requested an impossible situation or if you are using the unstable
W0925 04:03:36.169] #14 60.69 distribution that some required packages have not yet been created
... skipping 3 lines ...
W0925 04:03:36.169] #14 60.69 The following packages have unmet dependencies:
W0925 04:03:36.169] #14 60.69  udev : Depends: libblkid1 (>= 2.24) but it is not installable
W0925 04:03:36.169] #14 60.69         Depends: libkmod2 (>= 5~) but it is not installable
W0925 04:03:36.170] #14 60.69         Depends: lsb-base (>= 3.0-6) but it is not installable
W0925 04:03:36.170] #14 60.69         Depends: util-linux (>= 2.27.1) but it is not installable
W0925 04:03:36.170] #14 60.69 E: Unable to correct problems, you have held broken packages.
W0925 04:03:38.672] #14 ERROR: process "/bin/sh -c clean-install udev" did not complete successfully: exit code: 100
W0925 04:03:38.672] 
W0925 04:03:38.673] #13 [stage-2 3/4] RUN clean-install util-linux e2fsprogs mount ca-certificates udev xfsprogs
W0925 04:03:38.673] #13 CANCELED
W0925 04:03:38.673] ------
W0925 04:03:38.673]  > [mad-hack 2/2] RUN clean-install udev:
W0925 04:03:38.673] #14 60.69 distribution that some required packages have not yet been created
... skipping 12 lines ...
W0925 04:03:38.679]   26 |     # MAD HACKS: Build a version first so we can take the scsi_id bin and put it somewhere else in our real build
W0925 04:03:38.679]   27 |     FROM k8s.gcr.io/build-image/debian-base:buster-v1.9.0 as mad-hack
W0925 04:03:38.679]   28 | >>> RUN clean-install udev
W0925 04:03:38.679]   29 |     
W0925 04:03:38.680]   30 |     # Start from Kubernetes Debian base
W0925 04:03:38.680] --------------------
W0925 04:03:38.680] error: failed to solve: process "/bin/sh -c clean-install udev" did not complete successfully: exit code: 100
W0925 04:03:38.689] make: *** [Makefile:50: build-container] Error 1
I0925 04:03:38.790] make: Leaving directory '/go/src/sigs.k8s.io/gcp-compute-persistent-disk-csi-driver'
W0925 04:03:39.958] F0925 04:03:39.957211    3624 main.go:189] Failed to run integration test: failed pushing image: failed to run make command for linux: err: exit status 2
W0925 04:03:39.965] Traceback (most recent call last):
W0925 04:03:39.965]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0925 04:03:39.966]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0925 04:03:39.966]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0925 04:03:39.966]     check(*cmd)
W0925 04:03:39.966]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0925 04:03:39.966]     subprocess.check_call(cmd)
W0925 04:03:39.967]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0925 04:03:39.967]     raise CalledProcessError(retcode, cmd)
W0925 04:03:39.968] subprocess.CalledProcessError: Command '('test/run-k8s-integration-migration.sh',)' returned non-zero exit status 255
E0925 04:03:39.977] Command failed
I0925 04:03:39.978] process 425 exited with code 1 after 3.1m
E0925 04:03:39.978] FAIL: ci-gcp-compute-persistent-disk-csi-driver-latest-k8s-master-migration
I0925 04:03:39.979] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0925 04:03:40.985] Activated service account credentials for: [pr-kubekins@kubernetes-jenkins-pull.iam.gserviceaccount.com]
I0925 04:03:41.202] process 6617 exited with code 0 after 0.0m
I0925 04:03:41.202] Call:  gcloud config get-value account
I0925 04:03:42.100] process 6630 exited with code 0 after 0.0m
I0925 04:03:42.100] Will upload results to gs://kubernetes-jenkins/logs using pr-kubekins@kubernetes-jenkins-pull.iam.gserviceaccount.com
... skipping 20 lines ...